//
//  GraphPadApp.swift
//  GraphPad
//
//  Created by Joe Gregg on 10/22/24.
//

import SwiftUI
import SwiftData

@main
struct GraphPadApp: App {
    var sharedModelContainer: ModelContainer = {
        let schema = Schema([
            Vertex.self,Edge.self,Graph.self
        ])
        let modelConfiguration = ModelConfiguration(schema: schema, isStoredInMemoryOnly: false)

        do {
            return try ModelContainer(for: schema, configurations: [modelConfiguration])
        } catch {
            fatalError("Could not create ModelContainer: \(error)")
        }
    }()

    var body: some Scene {
        WindowGroup {
            ContentView()
        }
        .modelContainer(sharedModelContainer)
    }
}
